Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardSeries

java.lang.Object
ru.bitel.bgbilling.modules.card.server.bean.CardSeries

public class CardSeries extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardSeries()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getCardSum()`
  `int`
  `getContractPatternId()`
  `String`
  `getContractPatternTitle()`
  `int`
  `getFreeCard()`
  `int`
  `getId()`
  `int`
  `getPaymentTypeId()`
  `String`
  `getPaymentTypeTitle()`
  `Period`
  `getPeriod()`
  `int`
  `getServiceActivate()`
  `String`
  `getServiceActivateTitle()`
  `int`
  `getServiceBalance()`
  `String`
  `getServiceBalanceTitle()`
  `String`
  `getTitle()`
  `CardSeries`
  `setCardSum(BigDecimal cardSum)`
  `CardSeries`
  `setContractPatternId(int contractPatternId)`
  `CardSeries`
  `setContractPatternTitle(String contractPatternTitle)`
  `CardSeries`
  `setFreeCard(int freeCard)`
  `CardSeries`
  `setId(int id)`
  `CardSeries`
  `setPaymentTypeId(int paymentTypeId)`
  `CardSeries`
  `setPaymentTypeTitle(String paymentTypeTitle)`
  `CardSeries`
  `setPeriod(Period period)`
  `CardSeries`
  `setServiceActivate(int serviceActivate)`
  `CardSeries`
  `setServiceActivateTitle(String serviceActivateTitle)`
  `CardSeries`
  `setServiceBalance(int serviceBalance)`
  `CardSeries`
  `setServiceBalanceTitle(String serviceBalanceTitle)`
  `CardSeries`
  `setTitle(String title)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardSeries

    public CardSeries()

- ## Method Details

  - ### getFreeCard

    public int getFreeCard()

  - ### setFreeCard

    public CardSeries setFreeCard(int freeCard)

  - ### getContractPatternId

    public int getContractPatternId()

  - ### setContractPatternId

    public CardSeries setContractPatternId(int contractPatternId)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public CardSeries setPeriod(Period period)

  - ### getId

    public int getId()

  - ### setId

    public CardSeries setId(int id)

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### setPaymentTypeId

    public CardSeries setPaymentTypeId(int paymentTypeId)

  - ### getServiceActivate

    public int getServiceActivate()

  - ### setServiceActivate

    public CardSeries setServiceActivate(int serviceActivate)

  - ### getServiceBalance

    public int getServiceBalance()

  - ### setServiceBalance

    public CardSeries setServiceBalance(int serviceBalance)

  - ### getCardSum

    public BigDecimal getCardSum()

  - ### setCardSum

    public CardSeries setCardSum(BigDecimal cardSum)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public CardSeries setTitle(String title)

  - ### getContractPatternTitle

    public String getContractPatternTitle()

  - ### setContractPatternTitle

    public CardSeries setContractPatternTitle(String contractPatternTitle)

  - ### getPaymentTypeTitle

    public String getPaymentTypeTitle()

  - ### setPaymentTypeTitle

    public CardSeries setPaymentTypeTitle(String paymentTypeTitle)

  - ### getServiceActivateTitle

    public String getServiceActivateTitle()

  - ### setServiceActivateTitle

    public CardSeries setServiceActivateTitle(String serviceActivateTitle)

  - ### getServiceBalanceTitle

    public String getServiceBalanceTitle()

  - ### setServiceBalanceTitle

    public CardSeries setServiceBalanceTitle(String serviceBalanceTitle)